/**
 * 
 */
package jp.terasoluna.batch.functionsample.b001;



import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import jp.terasoluna.fw.dao.UpdateDAO;
import jp.terasoluna.fw.dao.event.DataRowHandler;

/**
 * DB関連ジョブのサンプル<br>
 * <br>
 * RowHandler実装サンプル。
 */
public class B001007DataRowHandler implements DataRowHandler {

	
	@Autowired
	@Qualifier("updateDAO")
    private UpdateDAO updateDAO = null;

    public void handleRow(Object arg) {
        if (arg instanceof B001007Param) {
        	B001007Param param = (B001007Param) arg;

        	param.setFamilyName("鈴木");
        	param.setFirstName("太郎");
        	
            updateDAO.execute("B001007.updateEmployee", param);
        }
    }

}
